org.apache.lucene.queryParser.surround.query

## Interface DistanceSubQuery

- All Known Implementing Classes:
    DistanceQuery, OrQuery, SimpleTerm, SrndPrefixQuery, SrndTermQuery, SrndTruncQuery

      public interface DistanceSubQuery

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSpanQueries(SpanNearClauseFactory sncf)`
    `java.lang.String` | `distanceSubQueryNotAllowed()` When distanceSubQueryNotAllowed() returns non null, the reason why the subquery is not allowed as a distance subquery is returned.

- - ### Method Detail

    - #### distanceSubQueryNotAllowed

          java.lang.String distanceSubQueryNotAllowed()

      When distanceSubQueryNotAllowed() returns non null, the reason why the subquery is not allowed as a distance subquery is returned.
      When distanceSubQueryNotAllowed() returns null addSpanNearQueries() can be used in the creation of the span near clause for the subquery.

    - #### addSpanQueries

          void addSpanQueries(SpanNearClauseFactory sncf)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.